package com.eactive.eai.custom.message;

import org.apache.commons.lang3.StringUtils;

import com.eactive.eai.message.StandardMessage;
import com.eactive.eai.message.service.DefaultInterfaceMapper;
import com.ext.eai.common.stdmessage.STDMessageKeys;

@SuppressWarnings("serial")
public class InterfaceMapperSBI extends DefaultInterfaceMapper {

	@Override
	public String getSendRecvDivision(StandardMessage standardMessage) {
		String sendRecvDivision = super.getSendRecvDivision(standardMessage);
		if (StringUtils.equals(sendRecvDivision, "Q")) {
			return STDMessageKeys.SEND_RECV_CD_SEND;
		} else {
			return sendRecvDivision;
		}
	}
}
